## libnetconf2 3.5.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5...3.28.1)

project(libnetconf2 C)

# include custom Modules
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/CMakeModules/")

include(GNUInstallDirs)
include(CheckFunctionExists)
include(CheckCSourceCompiles)
include(CheckIncludeFile)
include(UseCompat)
include(ABICheck)
include(SourceFormat)
include(GenDoc)
include(GenCoverage)

if(POLICY CMP0075)
    cmake_policy(SET CMP0075 NEW)
endif()

# set default build type if not specified by user
if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Debug)
endif()
# see https://github.com/CESNET/libyang/pull/1692 for why CMAKE_C_FLAGS_<type> are not used directly
# normalize build type string
string(TOUPPER "${CMAKE_BUILD_TYPE}" BUILD_TYPE_UPPER)
if ("${BUILD_TYPE_UPPER}" STREQUAL "RELEASE")
    set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Build Type" FORCE)
    set(CMAKE_C_FLAGS "-DNDEBUG -O2 ${CMAKE_C_FLAGS}")
elseif("${BUILD_TYPE_UPPER}" STREQUAL "DEBUG")
    set(CMAKE_BUILD_TYPE "Debug" CACHE STRING "Build Type" FORCE)
    set(CMAKE_C_FLAGS "-g -O0 ${CMAKE_C_FLAGS}")
elseif("${BUILD_TYPE_UPPER}" STREQUAL "RELWITHDEBINFO")
    set(CMAKE_BUILD_TYPE "RelWithDebInfo" CACHE STRING "Build Type" FORCE)
elseif("${BUILD_TYPE_UPPER}" STREQUAL "RELWITHDEBUG")
    set(CMAKE_BUILD_TYPE "RelWithDebug" CACHE STRING "Build Type" FORCE)
elseif("${BUILD_TYPE_UPPER}" STREQUAL "ABICHECK")
    set(CMAKE_BUILD_TYPE "ABICheck" CACHE STRING "Build Type" FORCE)
    set(CMAKE_C_FLAGS  "-g -Og ${CMAKE_C_FLAGS}")
elseif("${BUILD_TYPE_UPPER}" STREQUAL "DOCONLY")
    set(CMAKE_BUILD_TYPE "DocOnly" CACHE STRING "Build Type" FORCE)
endif()

#
# variables
#

set(LIBNETCONF2_DESCRIPTION "NETCONF server and client library in C.")

# osx specific
set(CMAKE_MACOSX_RPATH TRUE)

# Version of the project
# Generic version of not only the library. Major version is reserved for really big changes of the project,
# minor version changes with added functionality (new tool, functionality of the tool or library, ...) and
# micro version is changed with a set of small changes or bugfixes anywhere in the project.
set(LIBNETCONF2_MAJOR_VERSION 3)
set(LIBNETCONF2_MINOR_VERSION 5)
set(LIBNETCONF2_MICRO_VERSION 5)
set(LIBNETCONF2_VERSION ${LIBNETCONF2_MAJOR_VERSION}.${LIBNETCONF2_MINOR_VERSION}.${LIBNETCONF2_MICRO_VERSION})

# Version of the library
# Major version is changed with every backward non-compatible API/ABI change in the library, minor version changes
# with backward compatible change and micro version is connected with any internal change of the library.
set(LIBNETCONF2_MAJOR_SOVERSION 4)
set(LIBNETCONF2_MINOR_SOVERSION 4)
set(LIBNETCONF2_MICRO_SOVERSION 5)
set(LIBNETCONF2_SOVERSION_FULL ${LIBNETCONF2_MAJOR_SOVERSION}.${LIBNETCONF2_MINOR_SOVERSION}.${LIBNETCONF2_MICRO_SOVERSION})
set(LIBNETCONF2_SOVERSION ${LIBNETCONF2_MAJOR_SOVERSION})

# Version of libyang library that this project depends on
set(LIBYANG_DEP_VERSION 2.0.0)
set(LIBYANG_DEP_SOVERSION 3.0.0)
set(LIBYANG_DEP_SOVERSION_MAJOR 3)

# global C flags
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -fvisibility=hidden -std=c99")

#
# options
#
if(("${BUILD_TYPE_UPPER}" STREQUAL "DEBUG") OR ("${BUILD_TYPE_UPPER}" STREQUAL "RELWITHDEBINFO"))
    option(ENABLE_TESTS "Build tests" ON)
    option(ENABLE_VALGRIND_TESTS "Build tests with valgrind" ON)
else()
    option(ENABLE_TESTS "Build tests" OFF)
    option(ENABLE_VALGRIND_TESTS "Build tests with valgrind" OFF)
endif()
option(ENABLE_EXAMPLES "Build examples" ON)
option(ENABLE_COVERAGE "Build code coverage report from tests" OFF)
option(ENABLE_SSH_TLS "Enable NETCONF over SSH and TLS support (via libssh and OpenSSL)" ON)
option(ENABLE_DNSSEC "Enable support for SSHFP retrieval using DNSSEC for SSH (requires OpenSSL and libval)" OFF)
option(ENABLE_COMMON_TARGETS "Define common custom target names such as 'doc' or 'uninstall', may cause conflicts when using add_subdirectory() to build this project" ON)
option(BUILD_SHARED_LIBS "By default, shared libs are enabled. Turn off for a static build." ON)
set(READ_INACTIVE_TIMEOUT 20 CACHE STRING "Maximum number of seconds waiting for new data once some data have arrived")
set(READ_ACTIVE_TIMEOUT 300 CACHE STRING "Maximum number of seconds for receiving a full message")
set(MAX_PSPOLL_THREAD_COUNT 6 CACHE STRING "Maximum number of threads that could simultaneously access a ps_poll structure")
set(TIMEOUT_STEP 100 CACHE STRING "Number of microseconds tasks are repeated until timeout elapses")
set(YANG_MODULE_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/yang/modules/libnetconf2" CACHE STRING "Directory where to copy the YANG modules to")
set(CLIENT_SEARCH_DIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_DATADIR}/yang/modules" CACHE STRING "Default NC client YANG module search directory")

#
# sources
#
set(libsrc
    src/io.c
    src/log.c
    src/messages_client.c
    src/messages_server.c
    src/session.c
    src/session_client.c
    src/session_server.c
    src/server_config.c
    src/server_config_util.c)

if(ENABLE_SSH_TLS)
    list(APPEND libsrc
        src/session_client_ssh.c
        src/session_server_ssh.c
        src/server_config_util_ssh.c
        src/session_client_tls.c
        src/session_server_tls.c
        src/server_config_util_tls.c
        src/server_config_ks.c
        src/server_config_ts.c)
    set(SSH_TLS_MACRO "#ifndef NC_ENABLED_SSH_TLS\n#define NC_ENABLED_SSH_TLS\n#endif")
endif()

set(headers
    src/log.h
    src/netconf.h
    src/session.h
    src/messages_client.h
    src/messages_server.h
    src/session_client.h
    src/session_client_ch.h
    src/session_server.h
    src/session_server_ch.h
    src/server_config.h)

# files to generate doxygen from
set(doxy_files
    doc/libnetconf.doc
    src/log.h
    src/netconf.h
    src/session.h
    src/messages_client.h
    src/messages_server.h
    src/session_client.h
    src/session_client_ch.h
    src/session_server.h
    src/session_server_ch.h
    src/server_config.h)

# source files to be covered by the 'format' target
set(format_sources
    compat/*.c
    compat/*.h*
    examples/*.c
    examples/*.h*
    src/*.c
    src/*.h
    tests/*.c)

#
# checks
#
if(ENABLE_DNSSEC AND NOT ENABLE_SSH_TLS)
    message(WARNING "DNSSEC SSHFP retrieval cannot be used without SSH support.")
    set(ENABLE_DNSSEC OFF)
endif()

if(ENABLE_VALGRIND_TESTS)
    find_program(VALGRIND_FOUND valgrind)
    if(NOT VALGRIND_FOUND)
        message(WARNING "valgrind executable not found! Disabling memory leaks tests.")
        set(ENABLE_VALGRIND_TESTS OFF)
    else()
        set(ENABLE_TESTS ON)
    endif()
endif()

if(ENABLE_TESTS)
    find_package(CMocka 1.0.1)
    if(NOT CMOCKA_FOUND)
        message(STATUS "Disabling tests because of missing CMocka")
        set(ENABLE_TESTS OFF)
    endif()
endif()

if(ENABLE_COVERAGE)
    gen_coverage_enable(${ENABLE_TESTS})
endif()

if ("${BUILD_TYPE_UPPER}" STREQUAL "DEBUG")
    source_format_enable(0.77)
endif()

if("${BUILD_TYPE_UPPER}" STREQUAL "DOCONLY")
    gen_doc("${doxy_files}" ${LIBNETCONF2_VERSION} ${LIBNETCONF2_DESCRIPTION} "")
    return()
endif()

#
# targets
#

# use compat
use_compat()

# netconf2 sourceless target - need it for linking libs, but the required sources will be added later
add_library(netconf2)

# set the shared library version
set_target_properties(netconf2 PROPERTIES VERSION ${LIBNETCONF2_SOVERSION_FULL} SOVERSION ${LIBNETCONF2_SOVERSION})

# include repository files with highest priority
include_directories(${PROJECT_BINARY_DIR}/src)
include_directories(${PROJECT_BINARY_DIR}/include)

# dependencies - pthread
set(CMAKE_THREAD_PREFER_PTHREAD TRUE)
find_package(Threads REQUIRED)
target_link_libraries(netconf2 ${CMAKE_THREAD_LIBS_INIT})

# check availability for some pthread functions
set(CMAKE_REQUIRED_LIBRARIES pthread)
check_function_exists(pthread_rwlockattr_setkind_np HAVE_PTHREAD_RWLOCKATTR_SETKIND_NP)

# header file compatibility
check_include_file("shadow.h" HAVE_SHADOW)
check_include_file("termios.h" HAVE_TERMIOS)

if(ENABLE_SSH_TLS)
    # dependencies - mbedTLS (higher preference) or OpenSSL
    find_package(MbedTLS 3.5.0)
    if (MBEDTLS_FOUND)
        # dependencies - mbedtls
        set(HAVE_MBEDTLS TRUE)
        list(APPEND libsrc src/session_mbedtls.c)
        include_directories(${MBEDTLS_INCLUDE_DIRS})
        target_link_libraries(netconf2 ${MBEDTLS_LIBRARIES})
        list(APPEND CMAKE_REQUIRED_LIBRARIES ${MBEDTLS_LIBRARIES})
    else()
        # dependencies - openssl
        find_package(OpenSSL 3.0.0 REQUIRED)
        list(APPEND libsrc src/session_openssl.c)
        include_directories(${OPENSSL_INCLUDE_DIR})
        target_link_libraries(netconf2 ${OPENSSL_LIBRARIES})
        list(APPEND CMAKE_REQUIRED_LIBRARIES ${OPENSSL_LIBRARIES})
    endif()

    # dependencies - libssh
    find_package(LibSSH 0.9.5 REQUIRED)
    target_link_libraries(netconf2 ${LIBSSH_LIBRARIES})
    list(APPEND CMAKE_REQUIRED_LIBRARIES ${LIBSSH_LIBRARIES})
    include_directories(${LIBSSH_INCLUDE_DIRS})

    # dependencies - libcurl
    find_package(CURL 7.30.0 REQUIRED)
    if(TARGET CURL::libcurl)
        target_link_libraries(netconf2 CURL::libcurl)
    else()
        target_link_libraries(netconf2 ${CURL_LIBRARIES})
        list(APPEND CMAKE_REQUIRED_LIBRARIES ${CURL_LIBRARY})
        include_directories(${CURL_INCLUDE_DIRS})
    endif()

    # crypt (if not found, assume no library needs to be linked)
    if(${CMAKE_SYSTEM_NAME} MATCHES "QNX")
        set(LIBCRYPT login)
    else()
        set(LIBCRYPT crypt)
    endif()
    check_library_exists(${LIBCRYPT} crypt "" HAVE_CRYPT)
    if(HAVE_CRYPT)
        target_link_libraries(netconf2 ${LIBCRYPT})
        list(APPEND CMAKE_REQUIRED_LIBRARIES ${LIBCRYPT})
    endif()

    # libpam
    find_package(LibPAM)
    if(LibPAM_FOUND)
        set(HAVE_LIBPAM TRUE)

        target_link_libraries(netconf2 ${LIBPAM_LIBRARIES})
        list(APPEND CMAKE_REQUIRED_LIBRARIES ${LIBPAM_LIBRARIES})
        include_directories(${LIBPAM_INCLUDE_DIRS})

        message(STATUS "SSH Keyboard Interactive system method: Linux PAM")
    elseif(HAVE_SHADOW)
        message(STATUS "SSH Keyboard Interactive system method: local users")
    else()
        message(WARNING "SSH Keyboard Interactive system method: disabled")
    endif()

    # set compiler flag
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DNC_ENABLED_SSH_TLS")
endif()

# dependencies - libval
if(ENABLE_DNSSEC)
    find_package(LibVAL REQUIRED)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DENABLE_DNSSEC")
    target_link_libraries(netconf2 ${LIBVAL_LIBRARIES})
    include_directories(${LIBVAL_INCLUDE_DIRS})
endif()

# dependencies - libyang
find_package(LibYANG ${LIBYANG_DEP_SOVERSION} REQUIRED)
target_link_libraries(netconf2 ${LIBYANG_LIBRARIES})
include_directories(${LIBYANG_INCLUDE_DIRS})

# function compatibility - getpeereid on QNX
if(${CMAKE_SYSTEM_NAME} MATCHES "QNX")
    target_link_libraries(netconf2 -lsocket)
    list(APPEND CMAKE_REQUIRED_LIBRARIES socket)
    list(REMOVE_ITEM CMAKE_REQUIRED_LIBRARIES pthread)
    list(APPEND CMAKE_REQUIRED_DEFINITIONS -D_QNX_SOURCE)
    check_symbol_exists(getpeereid "sys/types.h;unistd.h" HAVE_GETPEEREID)
    list(REMOVE_ITEM CMAKE_REQUIRED_DEFINITIONS -D_QNX_SOURCE)
endif()

# set sources
target_sources(netconf2 PRIVATE ${libsrc} ${compatsrc})

# generate config file
configure_file("${PROJECT_SOURCE_DIR}/src/config.h.in" "${PROJECT_BINARY_DIR}/src/config.h" ESCAPE_QUOTES @ONLY)

# generate and copy public header files
configure_file("${PROJECT_SOURCE_DIR}/nc_client.h.in" "${PROJECT_BINARY_DIR}/include/nc_client.h")
configure_file("${PROJECT_SOURCE_DIR}/nc_server.h.in" "${PROJECT_BINARY_DIR}/include/nc_server.h")
configure_file("${PROJECT_SOURCE_DIR}/nc_version.h.in" "${PROJECT_BINARY_DIR}/include/nc_version.h")
file(COPY ${headers} DESTINATION "${PROJECT_BINARY_DIR}/include/libnetconf2")

# install YANG modules
install(DIRECTORY "${PROJECT_SOURCE_DIR}/modules/" DESTINATION ${YANG_MODULE_DIR} FILES_MATCHING PATTERN "*.yang")

=== debian/changelog ===
libnetconf2 (3.5.5-5) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.
  * Using codename instead of suitename in changelog.

 -- Daniel Baumann <daniel@debian.org>  Wed, 19 Mar 2025 20:11:31 +0100

libnetconf2 (3.5.5-4) sid; urgency=medium

  * Updating libyang depends.

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Feb 2025 21:53:59 +0100

libnetconf2 (3.5.5-3) sid; urgency=medium

  * Disabling dh_auto_install when building arch-independ only (Closes:
    #1098378).

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Feb 2025 06:45:12 +0100

libnetconf2 (3.5.5-2) sid; urgency=medium

  * Uploading without changes to unstable.

 -- Daniel Baumann <daniel@debian.org>  Wed, 19 Feb 2025 14:44:38 +0100

libnetconf2 (3.5.5-1) experimental; urgency=medium

  * Merging upstream version 3.5.5 (Closes: #1098233).
  * Removing unused gbp.conf.
  * Wrap and sorting debian files.
  * Switching to debhelper compat 13.
  * Marking build-depends for libnetconf2-doc as nodoc.
  * Adding libcmocka-dev for tests in build-depends.
  * Adding libcurl4-openssl-dev to build-depends for new upstream version.
  * Updating libyang build-depends for new upstream.
  * Using pkgconf instead of pkg-config.
  * Adding rules requires root field.
  * Updating to standards version 4.7.0.
  * Adding vcs fields.
  * Updating upstream urls in copyright.
  * Updating watch file.
  * Trimming rules.
  * Trimming debhelper install files.
  * Also installing newly added yang files.
  * Updating package descriptions.
  * Updating packaging for soname bump from 2 to 4.
  * Removing generated documentation after dh_clean to fix FTBFS twice-in-
    a-row (Closes: #1046481).

 -- Daniel Baumann <daniel@debian.org>  Wed, 19 Feb 2025 05:58:42 +0100

libnetconf2 (2.0.24-4) sid; urgency=medium

  * Adopting package from Ondřej with thanks for his past work.

 -- Daniel Baumann <daniel@debian.org>  Tue, 18 Feb 2025 11:19:51 +0100

libnetconf2 (2.0.24-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062481

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 14:21:24 +0000

=== debian/control ===
Source: libnetconf2
Section: libs
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 doxygen <!nodoc>,
 graphviz <!nodoc>,
 libcmocka-dev <!nocheck>,
 libcurl4-openssl-dev,
 libssh-dev,
 libssl-dev,
 libyang-dev (>= 3.7.8),
 pkgconf,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/CESNET/libnetconf2
Vcs-Browser: https://forgejo.debian.net/frr/libnetconf2
Vcs-Git: https://forgejo.debian.net/frr/libnetconf2

Package: libnetconf2-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
Multi-Arch: foreign
Description: library for IETF NETCONF protocol (documentation)
 NETCONF library in C intended for building NETCONF clients and servers. NETCONF
 is the NETwork CONFiguration protocol introduced by IETF.
 .
 This package contains the documentation.

Package: libnetconf2-4
Section: libs
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library for IETF NETCONF protocol
 NETCONF library in C intended for building NETCONF clients and servers. NETCONF
 is the NETwork CONFiguration protocol introduced by IETF.
 .
 libnetconf2 is a NETCONF library in C handling NETCONF authentication and all
 NETCONF RPC communication both server and client-side. Note that NETCONF
 datastore implementation is not a part of this library. The library supports
 both NETCONF 1.0 (RFC 4741) as well as NETCONF 1.1 (RFC 6241). The main
 features include:
 .
  * NETCONF over SSH (RFC 4742, RFC 6242), using libssh.
  * NETCONF over TLS (RFC 7589), using OpenSSL.
  * DNSSEC SSH Key Fingerprints (RFC 4255)
  * NETCONF over pre-established transport sessions (using this mechanism the
    communication can be tunneled through sshd(8), for instance).
  * NETCONF Call Home (RFC 8071).
  * NETCONF Event Notifications (RFC 5277),
 .
 This package contains the shared library.

Package: libnetconf2-dev
Section: libdevel
Architecture: any
Depends:
 libnetconf2-4 (= ${binary:Version}),
 libyang-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: library for IETF NETCONF protocol (development)
 NETCONF library in C intended for building NETCONF clients and servers. NETCONF
 is the NETwork CONFiguration protocol introduced by IETF.
 .
 This package contains the development files.

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libnetconf2-$1\.tar\.gz/" \
https://github.com/CESNET/libnetconf2/tags .*/v?(\d\S+)\.tar\.gz

## libnetconf2 3.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -57,22 +57,22 @@
 # minor version changes with added functionality (new tool, functionality of the tool or library, ...) and
 # micro version is changed with a set of small changes or bugfixes anywhere in the project.
 set(LIBNETCONF2_MAJOR_VERSION 3)
-set(LIBNETCONF2_MINOR_VERSION 5)
-set(LIBNETCONF2_MICRO_VERSION 5)
+set(LIBNETCONF2_MINOR_VERSION 7)
+set(LIBNETCONF2_MICRO_VERSION 1)
 set(LIBNETCONF2_VERSION ${LIBNETCONF2_MAJOR_VERSION}.${LIBNETCONF2_MINOR_VERSION}.${LIBNETCONF2_MICRO_VERSION})
 
 # Version of the library
 # Major version is changed with every backward non-compatible API/ABI change in the library, minor version changes
 # with backward compatible change and micro version is connected with any internal change of the library.
 set(LIBNETCONF2_MAJOR_SOVERSION 4)
-set(LIBNETCONF2_MINOR_SOVERSION 4)
-set(LIBNETCONF2_MICRO_SOVERSION 5)
+set(LIBNETCONF2_MINOR_SOVERSION 6)
+set(LIBNETCONF2_MICRO_SOVERSION 1)
 set(LIBNETCONF2_SOVERSION_FULL ${LIBNETCONF2_MAJOR_SOVERSION}.${LIBNETCONF2_MINOR_SOVERSION}.${LIBNETCONF2_MICRO_SOVERSION})
 set(LIBNETCONF2_SOVERSION ${LIBNETCONF2_MAJOR_SOVERSION})
 
 # Version of libyang library that this project depends on
-set(LIBYANG_DEP_VERSION 2.0.0)
-set(LIBYANG_DEP_SOVERSION 3.0.0)
+set(LIBYANG_DEP_VERSION 3.12.0)
+set(LIBYANG_DEP_SOVERSION 3.9.0)
 set(LIBYANG_DEP_SOVERSION_MAJOR 3)
 
 # global C flags

=== tests/CMakeLists.txt ===
# headers test for including compat.h
add_test(NAME headers
    COMMAND ${CMAKE_SOURCE_DIR}/compat/check_includes.sh ${CMAKE_SOURCE_DIR}/src/)

# format
if(${SOURCE_FORMAT_ENABLED})
    add_test(NAME format WORKING_DIRECTORY ${CMAKE_BINARY_DIR} COMMAND cmake --build ${CMAKE_BINARY_DIR} --target format-check)
endif()

foreach(src IN LISTS libsrc)
    list(APPEND test_srcs "../${src}")
endforeach()
add_library(testobj OBJECT ${test_srcs} ${compatsrc})

set(TEST_SRC "ln2_test.c")
set(NEXT_TEST_PORT 10050)

macro(get_test_ports PORT_COUNT PORT_DEFINITIONS)
    if (NOT ${PORT_COUNT})
        set(${PORT_COUNT} 1)
    endif()

    SET(PORT_INDEX 0)
    while(PORT_INDEX LESS ${${PORT_COUNT}})
        list(APPEND ${PORT_DEFINITIONS} "TEST_PORT_${PORT_INDEX}=${NEXT_TEST_PORT}")
        math(EXPR PORT_INDEX "${PORT_INDEX} + 1")
        math(EXPR NEXT_TEST_PORT "${NEXT_TEST_PORT} + 1")
    endwhile()
    set(NEXT_TEST_PORT ${NEXT_TEST_PORT} PARENT_SCOPE)
endmacro()

function(libnetconf2_test)
    cmake_parse_arguments(TEST "" "NAME;PORT_COUNT" "WRAP_FUNCS" ${ARGN})

    add_executable(${TEST_NAME} $<TARGET_OBJECTS:testobj> ${TEST_SRC} ${TEST_NAME}.c)
    target_link_libraries(${TEST_NAME} ${CMOCKA_LIBRARIES} ${LIBYANG_LIBRARIES} netconf2)
    target_include_directories(${TEST_NAME} PRIVATE ${CMOCKA_INCLUDE_DIR})

    # wrap functions
    if(TEST_WRAP_FUNCS)
        set(wrap_link_flags "-Wl")
        foreach(mock_func IN LISTS TEST_WRAP_FUNCS)
            set(wrap_link_flags "${wrap_link_flags},--wrap=${mock_func}")
        endforeach()
        set_target_properties(${TEST_NAME} PROPERTIES LINK_FLAGS "${wrap_link_flags}")
    endif()

    # create a test, generate port numbers and set them as env vars for the test
    add_test(NAME ${TEST_NAME} COMMAND $<TARGET_FILE:${TEST_NAME}>)
    get_test_ports(TEST_PORT_COUNT TEST_PORT_DEFINITIONS)
    set_tests_properties(${TEST_NAME} PROPERTIES ENVIRONMENT "${TEST_PORT_DEFINITIONS}")

    # do the same for valgrind tests
    if(ENABLE_VALGRIND_TESTS)
        add_test(${TEST_NAME}_valgrind valgrind --leak-check=full --show-leak-kinds=all --error-exitcode=1
            --suppressions=${PROJECT_SOURCE_DIR}/tests/library_valgrind.supp ${CMAKE_BINARY_DIR}/tests/${TEST_NAME})
        get_test_ports(TEST_PORT_COUNT VALGRIND_TEST_PORT_DEFINITIONS)
        set_tests_properties(${TEST_NAME}_valgrind PROPERTIES ENVIRONMENT "${VALGRIND_TEST_PORT_DEFINITIONS}")
    endif()
endfunction()

# all the tests that don't require SSH and TLS
libnetconf2_test(NAME test_client_messages)
libnetconf2_test(NAME test_client_thread)
libnetconf2_test(NAME test_fd_comm)
libnetconf2_test(NAME test_io)
libnetconf2_test(NAME test_thread_messages)
libnetconf2_test(NAME test_unix_socket)

# tests depending on SSH/TLS
if(ENABLE_SSH_TLS)
    libnetconf2_test(NAME test_auth_ssh)
    libnetconf2_test(NAME test_authkeys)
    libnetconf2_test(NAME test_cert_exp_notif)
    libnetconf2_test(NAME test_ch PORT_COUNT 2)
    libnetconf2_test(NAME test_client_monitoring)
    libnetconf2_test(NAME test_endpt_share_clients PORT_COUNT 4)
    libnetconf2_test(NAME test_ks_ts)
    if (LIBPAM_HAVE_CONFDIR)
        libnetconf2_test(NAME test_pam WRAP_FUNCS pam_start)
    endif()
    libnetconf2_test(NAME test_replace)
    libnetconf2_test(NAME test_runtime_changes PORT_COUNT 2)
    libnetconf2_test(NAME test_tls)
    libnetconf2_test(NAME test_two_channels)
endif()

include_directories(${CMAKE_SOURCE_DIR}/src ${PROJECT_BINARY_DIR})
configure_file("${PROJECT_SOURCE_DIR}/tests/config.h.in" "${PROJECT_BINARY_DIR}/tests/config.h" ESCAPE_QUOTES @ONLY)

# compile PAM test module
add_library(pam_netconf SHARED ${CMAKE_SOURCE_DIR}/tests/pam/pam_netconf.c)
set_target_properties(pam_netconf PROPERTIES PREFIX "")
target_link_libraries(pam_netconf ${LIBPAM_LIBRARIES})

# generate PAM configuration file
file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/netconf.conf
    "#%PAM-1.4\n"
    "auth required ${CMAKE_CURRENT_BINARY_DIR}/pam_netconf.so\n"
    "account required ${CMAKE_CURRENT_BINARY_DIR}/pam_netconf.so\n"
    "password required ${CMAKE_CURRENT_BINARY_DIR}/pam_netconf.so\n"
)

=== debian/changelog ===
libnetconf2 (3.7.1-1) sid; urgency=medium

  * Simplifying watch file.
  * Merging upstream version 3.7.1.
  * Bumping build-depends on libyang to 3.12.2.
  * Updating libnetconf2-4 symbols.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 04:11:34 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libcurl4-openssl-dev,
  libssh-dev,
  libssl-dev,
- libyang-dev (>= 3.7.8),
+ libyang-dev (>= 3.12.2),
  pkgconf,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2

## libnetconf2 3.7.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -58,7 +58,7 @@
 # micro version is changed with a set of small changes or bugfixes anywhere in the project.
 set(LIBNETCONF2_MAJOR_VERSION 3)
 set(LIBNETCONF2_MINOR_VERSION 7)
-set(LIBNETCONF2_MICRO_VERSION 1)
+set(LIBNETCONF2_MICRO_VERSION 10)
 set(LIBNETCONF2_VERSION ${LIBNETCONF2_MAJOR_VERSION}.${LIBNETCONF2_MINOR_VERSION}.${LIBNETCONF2_MICRO_VERSION})
 
 # Version of the library
@@ -66,7 +66,7 @@
 # with backward compatible change and micro version is connected with any internal change of the library.
 set(LIBNETCONF2_MAJOR_SOVERSION 4)
 set(LIBNETCONF2_MINOR_SOVERSION 6)
-set(LIBNETCONF2_MICRO_SOVERSION 1)
+set(LIBNETCONF2_MICRO_SOVERSION 10)
 set(LIBNETCONF2_SOVERSION_FULL ${LIBNETCONF2_MAJOR_SOVERSION}.${LIBNETCONF2_MINOR_SOVERSION}.${LIBNETCONF2_MICRO_SOVERSION})
 set(LIBNETCONF2_SOVERSION ${LIBNETCONF2_MAJOR_SOVERSION})
 
@@ -313,16 +313,6 @@
 target_link_libraries(netconf2 ${LIBYANG_LIBRARIES})
 include_directories(${LIBYANG_INCLUDE_DIRS})
 
-# function compatibility - getpeereid on QNX
-if(${CMAKE_SYSTEM_NAME} MATCHES "QNX")
-    target_link_libraries(netconf2 -lsocket)
-    list(APPEND CMAKE_REQUIRED_LIBRARIES socket)
-    list(REMOVE_ITEM CMAKE_REQUIRED_LIBRARIES pthread)
-    list(APPEND CMAKE_REQUIRED_DEFINITIONS -D_QNX_SOURCE)
-    check_symbol_exists(getpeereid "sys/types.h;unistd.h" HAVE_GETPEEREID)
-    list(REMOVE_ITEM CMAKE_REQUIRED_DEFINITIONS -D_QNX_SOURCE)
-endif()
-
 # set sources
 target_sources(netconf2 PRIVATE ${libsrc} ${compatsrc})
 
@@ -338,3 +328,10 @@
 # install YANG modules
 install(DIRECTORY "${PROJECT_SOURCE_DIR}/modules/" DESTINATION ${YANG_MODULE_DIR} FILES_MATCHING PATTERN "*.yang")
 
+# install library
+install(TARGETS netconf2 DESTINATION ${CMAKE_INSTALL_LIBDIR})
+
+# install headers
+install(FILES ${PROJECT_BINARY_DIR}/include/nc_client.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
+install(FILES ${PROJECT_BINARY_DIR}/include/nc_server.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
+install(FILES ${PROJECT_BINARY_DIR}/include/nc_version.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

=== examples/CMakeLists.txt ===
if(NOT LIBNETCONF2_VERSION)
    message(FATAL_ERROR "Please use the root CMakeLists file instead.")
endif()

# correct RPATH usage on OS X
set(CMAKE_MACOSX_RPATH TRUE)

# include all the library headers
include_directories(BEFORE "${CMAKE_SOURCE_DIR}/src")

# generate example header
include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})
configure_file(example.h.in example.h)

# list of all the examples
set(examples server client)

foreach(app_name IN LISTS examples)
    add_executable(${app_name} ${app_name}.c)
    target_link_libraries(${app_name} netconf2)
endforeach(app_name)

=== debian/changelog ===
libnetconf2 (3.7.10-1) sid; urgency=medium

  * Merging upstream version 3.7.10.

 -- Daniel Baumann <daniel@debian.org>  Mon, 11 Aug 2025 06:31:57 +0200

libnetconf2 (3.7.1-3) sid; urgency=medium

  * Uploading without changes to sid.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 21:06:54 +0200

libnetconf2 (3.7.1-2) experimental; urgency=medium

  * Adding upstream metadata.
  * Adding explicit libcrypt-dev to build-depends, thanks to Helmut Grohne
    <helmut@subdivi.de> (Closes: #1106992).

 -- Daniel Baumann <daniel@debian.org>  Sat, 31 May 2025 21:25:12 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  doxygen <!nodoc>,
  graphviz <!nodoc>,
  libcmocka-dev <!nocheck>,
+ libcrypt-dev,
  libcurl4-openssl-dev,
  libssh-dev,
  libssl-dev,

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# needed for CMake that ignores CPPFLAGS
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

# be strict when comparing symbols in libnetconf2-1
export DPKG_GENSYMBOLS_CHECK_LEVEL=4

%:
	dh ${@} --buildsystem=cmake

execute_after_dh_clean:
	rm -rf doc/html

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_SSH=ON -DENABLE_TLS=ON -DENABLE_DNSSEC=OFF -DENABLE_PYTHON=OFF

override_dh_auto_build-indep:
	dh_auto_build -- doc

override_dh_auto_install-indep:
	# disabled

=== debian/watch ===
version=4
https://github.com/CESNET/libnetconf2/tags .*/v?(\d.*)@ARCHIVE_EXT@

## libnetconf2 4.1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -56,24 +56,24 @@
 # Generic version of not only the library. Major version is reserved for really big changes of the project,
 # minor version changes with added functionality (new tool, functionality of the tool or library, ...) and
 # micro version is changed with a set of small changes or bugfixes anywhere in the project.
-set(LIBNETCONF2_MAJOR_VERSION 3)
-set(LIBNETCONF2_MINOR_VERSION 7)
-set(LIBNETCONF2_MICRO_VERSION 10)
+set(LIBNETCONF2_MAJOR_VERSION 4)
+set(LIBNETCONF2_MINOR_VERSION 1)
+set(LIBNETCONF2_MICRO_VERSION 2)
 set(LIBNETCONF2_VERSION ${LIBNETCONF2_MAJOR_VERSION}.${LIBNETCONF2_MINOR_VERSION}.${LIBNETCONF2_MICRO_VERSION})
 
 # Version of the library
 # Major version is changed with every backward non-compatible API/ABI change in the library, minor version changes
 # with backward compatible change and micro version is connected with any internal change of the library.
-set(LIBNETCONF2_MAJOR_SOVERSION 4)
-set(LIBNETCONF2_MINOR_SOVERSION 6)
-set(LIBNETCONF2_MICRO_SOVERSION 10)
+set(LIBNETCONF2_MAJOR_SOVERSION 5)
+set(LIBNETCONF2_MINOR_SOVERSION 1)
+set(LIBNETCONF2_MICRO_SOVERSION 2)
 set(LIBNETCONF2_SOVERSION_FULL ${LIBNETCONF2_MAJOR_SOVERSION}.${LIBNETCONF2_MINOR_SOVERSION}.${LIBNETCONF2_MICRO_SOVERSION})
 set(LIBNETCONF2_SOVERSION ${LIBNETCONF2_MAJOR_SOVERSION})
 
 # Version of libyang library that this project depends on
-set(LIBYANG_DEP_VERSION 3.12.0)
-set(LIBYANG_DEP_SOVERSION 3.9.0)
-set(LIBYANG_DEP_SOVERSION_MAJOR 3)
+set(LIBYANG_DEP_VERSION 4.2.0)
+set(LIBYANG_DEP_SOVERSION 4.2.0)
+set(LIBYANG_DEP_SOVERSION_MAJOR 4)
 
 # global C flags
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -fvisibility=hidden -std=c99")
@@ -92,6 +92,7 @@
 option(ENABLE_COVERAGE "Build code coverage report from tests" OFF)
 option(ENABLE_SSH_TLS "Enable NETCONF over SSH and TLS support (via libssh and OpenSSL)" ON)
 option(ENABLE_DNSSEC "Enable support for SSHFP retrieval using DNSSEC for SSH (requires OpenSSL and libval)" OFF)
+option(ENABLE_PAM "Detect and use PAM" ON)
 option(ENABLE_COMMON_TARGETS "Define common custom target names such as 'doc' or 'uninstall', may cause conflicts when using add_subdirectory() to build this project" ON)
 option(BUILD_SHARED_LIBS "By default, shared libs are enabled. Turn off for a static build." ON)
 set(READ_INACTIVE_TIMEOUT 20 CACHE STRING "Maximum number of seconds waiting for new data once some data have arrived")
@@ -113,7 +114,8 @@
     src/session_client.c
     src/session_server.c
     src/server_config.c
-    src/server_config_util.c)
+    src/server_config_util.c
+    src/proxy_unix.c)
 
 if(ENABLE_SSH_TLS)
     list(APPEND libsrc
@@ -122,9 +124,7 @@
         src/server_config_util_ssh.c
         src/session_client_tls.c
         src/session_server_tls.c
-        src/server_config_util_tls.c
-        src/server_config_ks.c
-        src/server_config_ts.c)
+        src/server_config_util_tls.c)
     set(SSH_TLS_MACRO "#ifndef NC_ENABLED_SSH_TLS\n#define NC_ENABLED_SSH_TLS\n#endif")
 endif()
 
@@ -138,7 +138,8 @@
     src/session_client_ch.h
     src/session_server.h
     src/session_server_ch.h
-    src/server_config.h)
+    src/server_config.h
+    src/proxy_unix.h)
 
 # files to generate doxygen from
 set(doxy_files
@@ -152,7 +153,8 @@
     src/session_client_ch.h
     src/session_server.h
     src/session_server_ch.h
-    src/server_config.h)
+    src/server_config.h
+    src/proxy_unix.h)
 
 # source files to be covered by the 'format' target
 set(format_sources
@@ -281,7 +283,9 @@
     endif()
 
     # libpam
-    find_package(LibPAM)
+    if(ENABLE_PAM)
+        find_package(LibPAM)
+    endif()
     if(LibPAM_FOUND)
         set(HAVE_LIBPAM TRUE)
 
@@ -334,4 +338,3 @@
 # install headers
 install(FILES ${PROJECT_BINARY_DIR}/include/nc_client.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
 install(FILES ${PROJECT_BINARY_DIR}/include/nc_server.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
-install(FILES ${PROJECT_BINARY_DIR}/include/nc_version.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -69,11 +69,11 @@
 
 # tests depending on SSH/TLS
 if(ENABLE_SSH_TLS)
-    libnetconf2_test(NAME test_auth_ssh)
     libnetconf2_test(NAME test_authkeys)
     libnetconf2_test(NAME test_cert_exp_notif)
     libnetconf2_test(NAME test_ch PORT_COUNT 2)
     libnetconf2_test(NAME test_client_monitoring)
+    libnetconf2_test(NAME test_config PORT_COUNT 6)
     libnetconf2_test(NAME test_endpt_share_clients PORT_COUNT 4)
     libnetconf2_test(NAME test_ks_ts)
     if (LIBPAM_HAVE_CONFDIR)
@@ -81,6 +81,7 @@
     endif()
     libnetconf2_test(NAME test_replace)
     libnetconf2_test(NAME test_runtime_changes PORT_COUNT 2)
+    libnetconf2_test(NAME test_ssh)
     libnetconf2_test(NAME test_tls)
     libnetconf2_test(NAME test_two_channels)
 endif()

=== debian/changelog ===
libnetconf2 (4.1.2-1) experimental; urgency=medium

  * Merging upstream version 4.1.2.
  * Bumping libyang build-depends.
  * Updating packaging for soname bump to 5.
  * While bumping the soname, we'll use the opportunity to simply by
    folding libnetconf2-doc into libnetconf2-dev.

 -- Daniel Baumann <daniel@debian.org>  Fri, 05 Dec 2025 07:51:54 +0100

libnetconf2 (3.7.10-2) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.

 -- Daniel Baumann <daniel@debian.org>  Sun, 30 Nov 2025 18:57:09 +0100

=== debian/control ===
--- 
+++ 
@@ -12,27 +12,14 @@
  libcurl4-openssl-dev,
  libssh-dev,
  libssl-dev,
- libyang-dev (>= 3.12.2),
+ libyang-dev (>= 4.2.2),
  pkgconf,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/CESNET/libnetconf2
 Vcs-Browser: https://forgejo.debian.net/frr/libnetconf2
 Vcs-Git: https://forgejo.debian.net/frr/libnetconf2
 
-Package: libnetconf2-doc
-Section: doc
-Architecture: all
-Depends:
- ${misc:Depends},
-Multi-Arch: foreign
-Description: library for IETF NETCONF protocol (documentation)
- NETCONF library in C intended for building NETCONF clients and servers. NETCONF
- is the NETwork CONFiguration protocol introduced by IETF.
- .
- This package contains the documentation.
-
-Package: libnetconf2-4
+Package: libnetconf2-5
 Section: libs
 Architecture: any
 Pre-Depends:
@@ -65,10 +52,14 @@
 Section: libdevel
 Architecture: any
 Depends:
- libnetconf2-4 (= ${binary:Version}),
+ libnetconf2-5 (= ${binary:Version}),
  libyang-dev,
  ${misc:Depends},
  ${shlibs:Depends},
+Breaks:
+ libnetconf2-doc,
+Replaces:
+ libnetconf2-doc,
 Multi-Arch: same
 Description: library for IETF NETCONF protocol (development)
  NETCONF library in C intended for building NETCONF clients and servers. NETCONF

## libnetconf2 4.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -57,16 +57,16 @@
 # minor version changes with added functionality (new tool, functionality of the tool or library, ...) and
 # micro version is changed with a set of small changes or bugfixes anywhere in the project.
 set(LIBNETCONF2_MAJOR_VERSION 4)
-set(LIBNETCONF2_MINOR_VERSION 1)
-set(LIBNETCONF2_MICRO_VERSION 2)
+set(LIBNETCONF2_MINOR_VERSION 2)
+set(LIBNETCONF2_MICRO_VERSION 4)
 set(LIBNETCONF2_VERSION ${LIBNETCONF2_MAJOR_VERSION}.${LIBNETCONF2_MINOR_VERSION}.${LIBNETCONF2_MICRO_VERSION})
 
 # Version of the library
 # Major version is changed with every backward non-compatible API/ABI change in the library, minor version changes
 # with backward compatible change and micro version is connected with any internal change of the library.
 set(LIBNETCONF2_MAJOR_SOVERSION 5)
-set(LIBNETCONF2_MINOR_SOVERSION 1)
-set(LIBNETCONF2_MICRO_SOVERSION 2)
+set(LIBNETCONF2_MINOR_SOVERSION 2)
+set(LIBNETCONF2_MICRO_SOVERSION 4)
 set(LIBNETCONF2_SOVERSION_FULL ${LIBNETCONF2_MAJOR_SOVERSION}.${LIBNETCONF2_MINOR_SOVERSION}.${LIBNETCONF2_MICRO_SOVERSION})
 set(LIBNETCONF2_SOVERSION ${LIBNETCONF2_MAJOR_SOVERSION})

=== debian/changelog ===
libnetconf2 (4.2.4-1) experimental; urgency=medium

  * Updating to standards version 4.7.3.
  * Wrap and sorting debian files.
  * Merging upstream version 4.2.4.
  * Updating years in copyright for 2026.
  * Bumping libyang build-depends.
  * Refreshing libnetconf2-5 symbols.

 -- Daniel Baumann <daniel@debian.org>  Sun, 25 Jan 2026 19:24:11 +0100

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
  libcurl4-openssl-dev,
  libssh-dev,
  libssl-dev,
- libyang-dev (>= 4.2.2),
+ libyang-dev (>= 4.7.3),
  pkgconf,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/CESNET/libnetconf2
 Vcs-Browser: https://forgejo.debian.net/frr/libnetconf2
 Vcs-Git: https://forgejo.debian.net/frr/libnetconf2

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,5 @@
 override_dh_auto_configure:
 	dh_auto_configure -- -DENABLE_SSH=ON -DENABLE_TLS=ON -DENABLE_DNSSEC=OFF -DENABLE_PYTHON=OFF
 
-override_dh_auto_build-indep:
+execute_after_dh_auto_build:
 	dh_auto_build -- doc
-
-override_dh_auto_install-indep:
-	# disabled

## libnetconf2 4.2.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -58,7 +58,7 @@
 # micro version is changed with a set of small changes or bugfixes anywhere in the project.
 set(LIBNETCONF2_MAJOR_VERSION 4)
 set(LIBNETCONF2_MINOR_VERSION 2)
-set(LIBNETCONF2_MICRO_VERSION 4)
+set(LIBNETCONF2_MICRO_VERSION 6)
 set(LIBNETCONF2_VERSION ${LIBNETCONF2_MAJOR_VERSION}.${LIBNETCONF2_MINOR_VERSION}.${LIBNETCONF2_MICRO_VERSION})
 
 # Version of the library
@@ -66,14 +66,14 @@
 # with backward compatible change and micro version is connected with any internal change of the library.
 set(LIBNETCONF2_MAJOR_SOVERSION 5)
 set(LIBNETCONF2_MINOR_SOVERSION 2)
-set(LIBNETCONF2_MICRO_SOVERSION 4)
+set(LIBNETCONF2_MICRO_SOVERSION 6)
 set(LIBNETCONF2_SOVERSION_FULL ${LIBNETCONF2_MAJOR_SOVERSION}.${LIBNETCONF2_MINOR_SOVERSION}.${LIBNETCONF2_MICRO_SOVERSION})
 set(LIBNETCONF2_SOVERSION ${LIBNETCONF2_MAJOR_SOVERSION})
 
 # Version of libyang library that this project depends on
-set(LIBYANG_DEP_VERSION 4.2.0)
-set(LIBYANG_DEP_SOVERSION 4.2.0)
-set(LIBYANG_DEP_SOVERSION_MAJOR 4)
+set(LIBYANG_DEP_VERSION 5.0.0)
+set(LIBYANG_DEP_SOVERSION 5.0.0)
+set(LIBYANG_DEP_SOVERSION_MAJOR 5)
 
 # global C flags
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -fvisibility=hidden -std=c99")

=== debian/changelog ===
libnetconf2 (4.2.6-1) experimental; urgency=medium

  * Merging upstream version 4.2.6.
  * Updating debian copyright.
  * Bumpding build-depends for libyang 5.

 -- Daniel Baumann <daniel@debian.org>  Sat, 07 Feb 2026 12:17:10 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libcurl4-openssl-dev,
  libssh-dev,
  libssl-dev,
- libyang-dev (>= 4.7.3),
+ libyang-dev (>= 5.0.2),
  pkgconf,
 Standards-Version: 4.7.3
 Homepage: https://github.com/CESNET/libnetconf2

## libnetconf2 4.2.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -58,7 +58,7 @@
 # micro version is changed with a set of small changes or bugfixes anywhere in the project.
 set(LIBNETCONF2_MAJOR_VERSION 4)
 set(LIBNETCONF2_MINOR_VERSION 2)
-set(LIBNETCONF2_MICRO_VERSION 6)
+set(LIBNETCONF2_MICRO_VERSION 9)
 set(LIBNETCONF2_VERSION ${LIBNETCONF2_MAJOR_VERSION}.${LIBNETCONF2_MINOR_VERSION}.${LIBNETCONF2_MICRO_VERSION})
 
 # Version of the library
@@ -66,7 +66,7 @@
 # with backward compatible change and micro version is connected with any internal change of the library.
 set(LIBNETCONF2_MAJOR_SOVERSION 5)
 set(LIBNETCONF2_MINOR_SOVERSION 2)
-set(LIBNETCONF2_MICRO_SOVERSION 6)
+set(LIBNETCONF2_MICRO_SOVERSION 9)
 set(LIBNETCONF2_SOVERSION_FULL ${LIBNETCONF2_MAJOR_SOVERSION}.${LIBNETCONF2_MINOR_SOVERSION}.${LIBNETCONF2_MICRO_SOVERSION})
 set(LIBNETCONF2_SOVERSION ${LIBNETCONF2_MAJOR_SOVERSION})

=== debian/changelog ===
libnetconf2 (4.2.9-1) experimental; urgency=medium

  * Merging upstream version 4.2.9.

 -- Daniel Baumann <daniel@debian.org>  Sat, 28 Feb 2026 06:09:30 +0100
